#!/usr/bin/python

'''Apport package hook for source package midori

(c) 2012 Robert Dyer, Rico Tzschichholz, Sergey "Shnatsel" Davidoff

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

from apport.hookutils import *
from os import path
from subprocess import *

def add_info(report, ui=None):
	if not apport.packaging.is_distro_package(report['Package'].split()[0]):
		report['CrashDB'] = 'midori'
	attach_gsettings_package (report, report['Package'].split()[0])
	try:
		gsettings_dump = check_output(['/usr/lib/apport-hooks-elementary/dump-gsettings-for-package', report['Package'].split()[0] ], stderr=STDOUT)
		if gsettings_dump != '':
			report['GSettings'] = gsettings_dump
	except CalledProcessError:
		report['GSettingsDumpFailed'] = 'GSettings-dumping command returned an error.\nThe output was:\n{0}\nPlease report a bug about it to the maintainer of your apport hooks.'.format(gsettings_dump)
	except OSError as e:
		report['GSettingsDumpFailed'] = 'Could not call GSettings-dumping command.\nThe error was: {0}\nPlease report a bug about it to the maintainer of your apport hooks.'.format(e.strerror)
	except ValueError as e:
		report['GSettingsDumpFailed'] = 'The function to invoke GSettings dump was called with invalid arguments.\nThe error was: {0}\nPlease report a bug about it to the maintainer of your apport hooks.'.format(e.strerror)
